> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 레드패킷 - 수령

> 기존 레드패킷에서 토큰 수령



## OpenAPI

````yaml /ko/api-reference/openapi-data-ko.yaml POST /v2/redpacket/{chain}/claim
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 블록체인 관련 작업
  - name: Token
    description: 토큰 관련 작업
  - name: Trade
    description: 거래 관련 작업
  - name: Wallet
    description: 지갑 관련 작업
  - name: Dex
    description: DEX 관련 작업
  - name: Ranking
    description: 랭킹 관련 작업
  - name: DexPool
    description: DEX 풀 관련 작업
  - name: Watchlist
    description: 워치리스트 관련 작업
  - name: KYT
    description: KYT 관련 작업
  - name: Webhook
    description: Webhook 관련 작업
  - name: RedPacket
    description: 레드패킷 관련 작업
  - name: IPFS
    description: IPFS 관련 작업
  - name: DexScreener
    description: DexScreener 관련 작업
paths:
  /v2/redpacket/{chain}/claim:
    post:
      tags:
        - RedPacket
      summary: 레드패킷 - 수령
      description: 기존 레드패킷에서 토큰 수령
      operationId: claim.redpacket
      parameters:
        - name: chain
          in: path
          description: 지원되는 네트워크에 나열된 체인 이름
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClaimRedPacketRequest'
        required: true
      responses:
        '200':
          description: 성공 응답
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimRedPacketResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    ClaimRedPacketRequest:
      type: object
      description: 수령자 지갑 주소
      required:
        - claimer
      properties:
        claimer:
          type: string
          description: 수령자 지갑 주소
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        packetId:
          type:
            - string
            - 'null'
          description: 레드패킷 온체인 ID
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        password:
          type:
            - string
            - 'null'
          description: 레드패킷 수령 비밀번호
          example: '123456'
        shareId:
          type:
            - string
            - 'null'
          description: 공유 식별자
          example: abc123
    ClaimRedPacketResponse:
      type: object
      description: Claim red packet response
      required:
        - txSerialize
      properties:
        txSerialize:
          type: string
          description: 직렬화된 트랜잭션 데이터
          example: AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRg...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````